Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.exceptions
Class CommunicationException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.toplink.exceptions.TopLinkException
oracle.toplink.exceptions.CommunicationException`

All Implemented Interfaces:
  java.io.Serializable

public class CommunicationException
extends TopLinkException

Purpose:This exception wraps all RMI or CORBA or IO exception that may occur.

See Also:
  Serialized Form

Field Summary
`static int` | `ERROR_IN_INVOCATION`
`static int` | `ERROR_SENDING_CONNECTION_SERVICE` PUBLIC: Creates a CommunicationException.
`static int` | `UNABLE_TO_CONNECT`
`static int` | `UNABLE_TO_PROPAGATE_CHANGES`

Constructor Summary
`CommunicationException(java.lang.String theMessage)`
`CommunicationException(java.lang.String message, java.lang.Exception internalException)` PUBLIC: Creates a CommunicationException.

Method Summary
`static CommunicationException` | `errorInInvocation(java.lang.Exception exception)`
`static CommunicationException` | `errorSendingConnectionService(java.lang.String serviceName, java.lang.Exception exception)`
`static CommunicationException` | `unableToConnect(java.lang.String serviceName, java.lang.Exception exception)`
`static CommunicationException` | `unableToPropagateChanges(java.lang.String serviceName, java.lang.Exception exception)`

Methods inherited from class oracle.toplink.exceptions.TopLinkException
`getErrorCode, getInternalException, getMessage, getSession, printStackTrace, printStackTrace, printStackTrace, setShouldPrintInternalException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ERROR_SENDING_CONNECTION_SERVICE

    public static final int ERROR_SENDING_CONNECTION_SERVICE

  PUBLIC: Creates a CommunicationException.
  See Also:
    Constant Field Values

### UNABLE_TO_CONNECT

    public static final int UNABLE_TO_CONNECT

  See Also:
    Constant Field Values

### UNABLE_TO_PROPAGATE_CHANGES

    public static final int UNABLE_TO_PROPAGATE_CHANGES

  See Also:
    Constant Field Values

### ERROR_IN_INVOCATION

    public static final int ERROR_IN_INVOCATION

  See Also:
    Constant Field Values

Constructor Detail

### CommunicationException

    public CommunicationException(java.lang.String theMessage)

### CommunicationException

    public CommunicationException(java.lang.String message,
                                  java.lang.Exception internalException)

  PUBLIC: Creates a CommunicationException.
Parameters:
  `internalException` - the handle of the exception

Method Detail

### errorSendingConnectionService

    public static CommunicationException errorSendingConnectionService(java.lang.String serviceName,
                                                                       java.lang.Exception exception)

### unableToConnect

    public static CommunicationException unableToConnect(java.lang.String serviceName,
                                                         java.lang.Exception exception)

### unableToPropagateChanges

    public static CommunicationException unableToPropagateChanges(java.lang.String serviceName,
                                                                  java.lang.Exception exception)

### errorInInvocation

    public static CommunicationException errorInInvocation(java.lang.Exception exception)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD